<?php

namespace EventPortal\Tests\Feature\Admin;

use EventPortal\Domain\Admin\Models\Admin;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\DatabaseMigrations;
use Illuminate\Http\Response;

class DashboardTest extends TestCase
{
    use DatabaseMigrations;

    /** @test **/
    public function dashboard_gets_correct_props()
    {
        $admin = factory(Admin::class)->create();

        $this
            ->actingAs($admin->user)
            ->get(route('admin.dashboard.index'))
            ->assertStatus(Response::HTTP_OK)
            ->assertPropValue('event', 'Hello World');
    }
}
